ApplicationConfigurationControllerGetSetValueForSetting Method |
POST /ApplicationConfiguration/GetSetValueForSetting/
Gets the set value for a specific setting and scope/scope target.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetSetValueForSetting")]
public IActionResult GetSetValueForSetting(
[FromBodyAttribute] ConfigValueOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetSetValueForSetting")>
Public Function GetSetValueForSetting (
<FromBodyAttribute> options As ConfigValueOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetSetValueForSetting")]
IActionResult^ GetSetValueForSetting(
[FromBodyAttribute] ConfigValueOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetSetValueForSetting")>]
member GetSetValueForSetting :
[<FromBodyAttribute>] options : ConfigValueOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsConfigValueOptions
A ConfigValueOptions object that carries the needed information about the setting to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
AppSettingValueData object or a status code indicating a problem.
See Also